<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__scb__uart__macros__rx__fifo__status" kind="group">
    <compoundname>group_scb_uart_macros_rx_fifo_status</compoundname>
    <title>UART RX FIFO status.</title>
      <sectiondef kind="define">
      <memberdef id="group__group__scb__uart__macros__rx__fifo__status_1ga2c2ad72882685c29a4755ead9e5bcda9" kind="define" prot="public" static="no">
        <name>CY_SCB_UART_RX_TRIGGER</name>
        <initializer>(SCB_INTR_RX_TRIGGER_Msk)</initializer>
        <briefdescription>
<para>The number of entries in the RX FIFO is more than the RX FIFO trigger level value. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_uart.h" bodystart="696" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_uart.h" line="696" />
      </memberdef>
      <memberdef id="group__group__scb__uart__macros__rx__fifo__status_1gae22bfd5f13fbb141ec2f139c178a6cfd" kind="define" prot="public" static="no">
        <name>CY_SCB_UART_RX_NOT_EMPTY</name>
        <initializer>(SCB_INTR_RX_NOT_EMPTY_Msk)</initializer>
        <briefdescription>
<para>The RX FIFO is not empty, there is data to read. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_uart.h" bodystart="699" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_uart.h" line="699" />
      </memberdef>
      <memberdef id="group__group__scb__uart__macros__rx__fifo__status_1gaabd8566f82db4ca907b902c33d8610b0" kind="define" prot="public" static="no">
        <name>CY_SCB_UART_RX_FULL</name>
        <initializer>(SCB_INTR_RX_FULL_Msk)</initializer>
        <briefdescription>
<para>The RX FIFO is full, there is no more space for additional data, and any additional data will be dropped. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_uart.h" bodystart="705" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_uart.h" line="705" />
      </memberdef>
      <memberdef id="group__group__scb__uart__macros__rx__fifo__status_1ga756096145d4da064bb6ef14344923cd8" kind="define" prot="public" static="no">
        <name>CY_SCB_UART_RX_OVERFLOW</name>
        <initializer>(SCB_INTR_RX_OVERFLOW_Msk)</initializer>
        <briefdescription>
<para>The RX FIFO was full and there was an attempt to write to it. </para>        </briefdescription>
        <detaileddescription>
<para>That additional data was dropped. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_uart.h" bodystart="711" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_uart.h" line="711" />
      </memberdef>
      <memberdef id="group__group__scb__uart__macros__rx__fifo__status_1ga8875bbc01ed5bff5e6d31c5653635cf3" kind="define" prot="public" static="no">
        <name>CY_SCB_UART_RX_UNDERFLOW</name>
        <initializer>(SCB_INTR_RX_UNDERFLOW_Msk)</initializer>
        <briefdescription>
<para>An attempt to read from an empty RX FIFO. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_uart.h" bodystart="714" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_uart.h" line="714" />
      </memberdef>
      <memberdef id="group__group__scb__uart__macros__rx__fifo__status_1ga2b72cda1727aaa447c0820ec971452a1" kind="define" prot="public" static="no">
        <name>CY_SCB_UART_RX_ERR_FRAME</name>
        <initializer>(SCB_INTR_RX_FRAME_ERROR_Msk)</initializer>
        <briefdescription>
<para>The RX FIFO detected a frame error, either a stop or stop-bit error. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_uart.h" bodystart="717" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_uart.h" line="717" />
      </memberdef>
      <memberdef id="group__group__scb__uart__macros__rx__fifo__status_1gaa64782b6ba31e4b36c5ff9a74b42219b" kind="define" prot="public" static="no">
        <name>CY_SCB_UART_RX_ERR_PARITY</name>
        <initializer>(SCB_INTR_RX_PARITY_ERROR_Msk)</initializer>
        <briefdescription>
<para>The RX FIFO detected a parity error. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_uart.h" bodystart="720" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_uart.h" line="720" />
      </memberdef>
      <memberdef id="group__group__scb__uart__macros__rx__fifo__status_1ga305036745f5db0cea8cd97fa8b6ade43" kind="define" prot="public" static="no">
        <name>CY_SCB_UART_RX_BREAK_DETECT</name>
        <initializer>(SCB_INTR_RX_BREAK_DETECT_Msk)</initializer>
        <briefdescription>
<para>The RX FIFO detected a break transmission from the transmitter. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_uart.h" bodystart="723" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_uart.h" line="723" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Macros to check UART RX FIFO status returned by <ref kindref="member" refid="group__group__scb__uart__low__level__functions_1gaa2d783e45d8b8a9803bb5b667d71f3b9">Cy_SCB_UART_GetRxFifoStatus</ref> function or assign mask for <ref kindref="member" refid="group__group__scb__uart__low__level__functions_1ga3f1e6aa6e686a215ab03b5d264510b3f">Cy_SCB_UART_ClearRxFifoStatus</ref> function. </para>    </briefdescription>
    <detaileddescription>
<para>Each UART RX FIFO status is encoded in a separate bit, therefore multiple bits may be set to indicate the current status. </para>    </detaileddescription>
  </compounddef>
</doxygen>